wxWidgets: wxGraphicsGradientStop Class Reference

| Version: 3.1.5

Public Member Functions | List of all members
wxGraphicsGradientStop Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/graphics.h>`

## Detailed Description

Represents a single gradient stop in a collection of gradient stops as represented by wxGraphicsGradientStops.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

Since
  2.9.1

## Public Member Functions
| wxGraphicsGradientStop (wxColour col=wxTransparentColour, float pos=0.)
| Creates a stop with the given colour and position. More...
const wxColour & | GetColour () const
| Return the stop colour. More...
void | SetColour (const wxColour &col)
| Change the stop colour. More...
float | GetPosition () const
| Return the stop position. More...
void | SetPosition (float pos)
| Change the stop position. More...

## Constructor & Destructor Documentation

## ◆ wxGraphicsGradientStop()

wxGraphicsGradientStop::wxGraphicsGradientStop | ( | wxColour | col = `wxTransparentColour`,
|  | float | pos = `0.`
| ) |  |

Creates a stop with the given colour and position.

Parameters

  col | The colour of this stop. Note that the alpha component of the colour is honoured thus allowing the background colours to partially show through the gradient.
  pos | The stop position, must be in [0, 1] range with 0 being the beginning and 1 the end of the gradient.

## Member Function Documentation

## ◆ GetColour()

const wxColour & wxGraphicsGradientStop::GetColour | ( |  | ) | const

Return the stop colour.

## ◆ GetPosition()

float wxGraphicsGradientStop::GetPosition | ( |  | ) | const

Return the stop position.

## ◆ SetColour()

void wxGraphicsGradientStop::SetColour | ( | const wxColour & | col | ) |

Change the stop colour.

Parameters

  col | The new colour.

## ◆ SetPosition()

void wxGraphicsGradientStop::SetPosition | ( | float | pos | ) |

Change the stop position.

Parameters

  pos | The new position, must always be in [0, 1] range.